Name:           python-tdxlib
Version:        0.5.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        a python library for interacting with the TeamDynamix Web API

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/cedarville-university/tdxlib
Source:         %{pypi_source tdxlib}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'tdxlib' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-tdxlib
Summary:        %{summary}

%description -n python3-tdxlib %_description


%prep
%autosetup -p1 -n tdxlib-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-tdxlib -f %{pyproject_files}


%changelog
%autochangelog